## kscreenlocker 5.13.5

=== debian/changelog ===
kscreenlocker (5.13.5-1ubuntu2) cosmic; urgency=medium

  * Fix lintian override.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Sep 2018 15:33:09 +0100

kscreenlocker (5.13.5-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Build dep bumps and architecture tweaks.
    - debian/patches: kubuntu_disable_failing_test.patch
    - debian/meta/cmake-ignore: Keep for Kubuntu CI builds.
    - debian/libkscreenlocker5.lintian-overrides: Keep our file.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Sep 2018 10:46:31 +0100

kscreenlocker (5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:34 +0200

kscreenlocker (5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:53 +0100

kscreenlocker (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:02 +0200

kscreenlocker (5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:41:06 +0100

kscreenlocker (5.13.3-0ubuntu1) cosmic; urgency=medium

  * Update patch disabling upstream broken tests.
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:54 +0100

kscreenlocker (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * testsuite: Update the test
  * Bump group breaks (5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:02 +0200

kscreenlocker (5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:06 +0100

kscreenlocker (5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:05 +0100

kscreenlocker (5.12.2-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:53 +0100

kscreenlocker (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:49 +0100

kscreenlocker (5.12.0-2) sid; urgency=medium

  * New revision
  * Add libseccomp-dev optional build dep
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:37 +0100

kscreenlocker (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:43 +0100

kscreenlocker (5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:57 -0300

kscreenlocker (5.10.5.1-1) sid; urgency=medium

  * New upstream release (5.10.5.1).
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:25 +0200

kscreenlocker (5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * Sync debian/watch with neon
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * restart kscreenlocker incase it starts during upgrade - a kscreenlocker_greet started in Plasma 5.9 won't be able to unlock with a kcheckpass from Plasma 5.10
  * allow for failure of command

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:22 +0200

kscreenlocker (5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7)
     + Implement manual focus on click
       Currently only the first created screenlock window gets focus.
       On clicks, no focus events are sent, which makes it impossible to input
       passwords. This patch now makes it possible to focus to a different
       screenlock window (on a different monitor, for example) using a mouse
       button press.
       This should also fix newly created screenlock windows stealing the focus
       of already displayed ones as only the first window gains automatic focus.
       Fixes KDE#348789, KDE#374289

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Jun 2017 17:14:31 +0200
