=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                libkf5crash-dev (>= 5.42.0~),
                libkf5declarative-dev (>= 5.42.0~),
@@ -21,7 +21,7 @@
                libkf5windowsystem-dev (>= 5.42.0~),
                libkf5xmlgui-dev (>= 5.42.0~),
                libpam0g-dev,
-               libqt5x11extras5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.9.0~),
                libseccomp-dev [!i386 !armhf !arm64],
                libwayland-dev (>= 1.3~),
                libx11-dev,
@@ -32,9 +32,9 @@
                libxi-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
+Standards-Version: 4.1.3
 Homepage: https://projects.kde.org/kscreenlocker
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
@@ -43,18 +43,17 @@
 Architecture: any
 Depends: libkscreenlocker5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
 Replaces: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
 Description: KCM Module for kscreenlocker
  KDE systemsettings module to configure kscreenlocker
 
 Package: kscreenlocker-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
-Section: libdevel
-Depends: libkscreenlocker5 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
 Breaks: plasma-workspace-dev (<= 4:5.5.0~)
 Replaces: plasma-workspace-dev (<= 4:5.5.0~)
 Description: Development files for kscreenlocker
@@ -64,10 +63,18 @@
 
 Package: libkscreenlocker5
 Architecture: any
-Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kde-config-screenlocker
-Breaks: plasma-workspace (<= 4:5.5.0~)
+Breaks: kwin-common (<< 4:5.13),
+        kwin-wayland (<< 4:5.12),
+        kwin-wayland-backend-drm (<< 4:5.12),
+        kwin-wayland-backend-fbdev (<< 4:5.12),
+        kwin-wayland-backend-virtual (<< 4:5.12),
+        kwin-wayland-backend-wayland (<< 4:5.12),
+        kwin-wayland-backend-x11 (<< 4:5.12),
+        kwin-x11 (<< 4:5.12),
+        plasma-workspace (<< 4:5.13),
 Replaces: plasma-workspace (<= 4:5.5.0~)
+Multi-Arch: same
 Description: Secure lock screen architecture
  Library and components for secure lock screen architecture.
