## kscreenlocker 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
-set(PROJECT_VERSION "5.12.8")
+cmake_minimum_required(VERSION 3.0)
+
+project(kscreenlocker)
+set(PROJECT_VERSION "5.14.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-
-set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.42.0")
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets Quick QuickWidgets Test)
-find_package(ECM 1.8.0 REQUIRED NO_MODULE)
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.50.0")
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick QuickWidgets Test)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
@@ -16,7 +17,7 @@
 include(ECMGenerateHeaders)
 include(CheckIncludeFiles)
 include(ECMMarkNonGuiExecutable)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 include(FeatureSummary)
 include(GenerateExportHeader)
 
@@ -89,8 +90,26 @@
     URL "https://www.freedesktop.org/software/systemd/man/loginctl.html"
     DESCRIPTION "Send control commands to the login manager"
     TYPE RUNTIME
-    PURPOSE "Needed for emergency unlock in case that the greeter is broken. In case your distribution does not provide loginctl please contact plasma-devel@kde.org to discuss alternatives."
     )
+set(HAVE_LOGINCTL ${loginctl_FOUND})
+
+if ( NOT HAVE_LOGINCTL )
+    find_package(ConsoleKit)
+    set_package_properties(ConsoleKit PROPERTIES
+        URL "https://github.com/ConsoleKit2/ConsoleKit2"
+        DESCRIPTION "Framework for tracking user login sessions"
+        TYPE RECOMMENDED
+        )
+    set(HAVE_CONSOLEKIT ${ConsoleKit_FOUND})
+endif ()
+
+if (HAVE_LOGINCTL OR HAVE_CONSOLEKIT)
+    set(HAVE_UNLOCK_CAPABILITY TRUE)
+endif ()
+
+add_feature_info("Unlock broken screenlocker"
+                 HAVE_UNLOCK_CAPABILITY
+                 "Needed for emergency unlock in case that the greeter is broken. In case your distribution does not provide loginctl or consolekit please contact plasma-devel@kde.org to discuss alternatives.")
 
 option(PAM_REQUIRED "Require building with PAM" ON)
 
@@ -109,6 +128,10 @@
 configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
 configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
 
+if (HAVE_CONSOLEKIT)
+    configure_file(ck-unlock-session.cmake ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session)
+endif ()
+
 # adjusting CMAKE_C_FLAGS to get wayland protocols to compile
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
 
@@ -121,6 +144,12 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 set(KSLD_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/KScreenLocker")
+
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_USE_QSTRINGBUILDER)
 
 add_subdirectory(kcheckpass)
 add_subdirectory(greeter)
@@ -161,6 +190,7 @@
    Qt5::Core
    Qt5::X11Extras
 PRIVATE
+   Qt5::DBus
    KF5::I18n
    KF5::IdleTime
    KF5::GlobalAccel
@@ -192,7 +222,7 @@
     EXPORT_FILE_NAME KScreenLocker/kscreenlocker_export.h
 )
 
-ecm_configure_package_config_file(ScreenSaverDBusInterfaceConfig.cmake.in
+configure_package_config_file(ScreenSaverDBusInterfaceConfig.cmake.in
     ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
     PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
     INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/ScreenSaverDBusInterface")
@@ -203,9 +233,14 @@
         ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
         DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/ScreenSaverDBusInterface")
 
-ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KScreenLockerConfig.cmake.in"
-								  "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
-								  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/KScreenLocker")
+configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KScreenLockerConfig.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
+    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
+    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/KScreenLocker")
+
+if (HAVE_CONSOLEKIT)
+  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session DESTINATION ${KDE_INSTALL_BINDIR})
+endif ()
 
 install(TARGETS KScreenLocker EXPORT KScreenLockerTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY)
 install(EXPORT KScreenLockerTargets DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/KScreenLocker" FILE KScreenLockerTargets.cmake NAMESPACE PW::)
@@ -234,14 +269,18 @@
         DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
         RENAME kf5_org.freedesktop.ScreenSaver.xml)
 
+install(FILES ${kscreensaver_dbusXML}
+        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
+
 
 install(FILES   updaters/kscreenlocker.upd DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)
 install(PROGRAMS updaters/ksreenlocker_5_3_separate_autologin.pl
                 DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)
 
-add_subdirectory(autotests)
-add_subdirectory(tests)
-
+if(BUILD_TESTING)
+   add_subdirectory(autotests)
+   add_subdirectory(tests)
+endif()
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)
