=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         kded5, libkf5service-bin
Restrictions: build-needed, allow-stderr
