=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5idletime-dev (>= 5.54.0~),
               libkf5kcmutils-dev (>= 5.54.0~),
               libkf5kdelibs4support-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5solid-dev (>= 5.54.0~),
               libkf5textwidgets-dev (>= 5.54.0~),
               libkf5wayland-dev (>= 4:5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.9.0~),
               libseccomp-dev [!i386 !armhf !arm64],
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
Replaces: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Breaks: plasma-workspace-dev (<= 4:5.5.0~)
Replaces: plasma-workspace-dev (<= 4:5.5.0~)
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-screenlocker
Breaks: kwin-common (<< 4:5.13),
        kwin-wayland (<< 4:5.12),
        kwin-wayland-backend-drm (<< 4:5.12),
        kwin-wayland-backend-fbdev (<< 4:5.12),
        kwin-wayland-backend-virtual (<< 4:5.12),
        kwin-wayland-backend-wayland (<< 4:5.12),
        kwin-wayland-backend-x11 (<< 4:5.12),
        kwin-x11 (<< 4:5.12),
        plasma-workspace (<< 4:5.13),
Replaces: plasma-workspace (<= 4:5.5.0~)
Multi-Arch: same
Description: Secure lock screen architecture
 Library and components for secure lock screen architecture.
